Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366167 - Replica count does not get displayed until the "Volume Types" are refreshed.
Summary: Replica count does not get displayed until the "Volume Types" are refreshed.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2.2
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 08:32 UTC by RamaKasturi
Modified: 2017-02-01 14:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:39:04 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
sabose: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69997 ovirt-engine-4.1 MERGED gluster: show replica count in new volume popup 2017-01-12 11:29:43 UTC
oVirt gerrit 70097 ovirt-engine-4.1 MERGED gluster: show replica count in new volume popup 2017-01-12 12:28:14 UTC

Description RamaKasturi 2016-08-11 08:32:01 UTC
Description of problem:
When user click on a New volume in the volume type it displays Replicate. Till user refreshes the Volume Types, replica count is not displayed.

Version-Release number of selected component (if applicable):
ovirt-engine-4.0.2.2-0.1.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Click on the New volume button
2. In the New volume dialog box , volume Type is selected as Replicate by default.
3.click on add bricks button now.

Actual results:
Replica count text box is not displayed until user refreshes the volume type.

Expected results:
When new volume dialog box gets opened it should display the replica count too.

Additional info:

Comment 1 Eyal Edri 2017-01-23 08:28:35 UTC
Agreed with the Gluster team we can move Gluster bugs to ON_QA on engine build.

Comment 2 RamaKasturi 2017-01-24 14:10:21 UTC
Verified and works fine with build ovirt-engine-4.1.0-0.3.beta2.el7.noarch.

Ran the steps below to verify the bug:
==========================================
1. Click on the New volume button
2. In the New volume dialog box , volume Type is selected as Replicate by default.
3.click on add bricks button now.

Replica count is displayed as '3' when the new volume dialog box is opened and clicking on add bricks button shows replica count box and count as '3' with out refreshing the volume type dialog box.


Note You need to log in before you can comment on or make changes to this bug.